ICP / GTM / REST API

Get icp profile

Get the ICP profile for a workspace.

GET /api/mcp/icp/profileDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/mcp/icp/profile" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    }
  }
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview